import FTLNomadItemSheet from "./base-item-sheet.mjs"

export default class FTLNomadLanguageSheet extends FTLNomadItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["language"],
    position: {
      width: 600,
    },
    window: {
      contentClasses: ["language-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-ftl-nomad/templates/language.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    context.enrichedDescription = await foundry.applications.ux.TextEditor.implementation.enrichHTML(this.document.system.description, { async: true })
    return context
  }
}
